#ifndef __UI_VEHICLES_PARSER_H__
#define __UI_VEHICLES_PARSER_H__

#include "../tiecommon/bg_vehicles.h"
#include "../tiecommon/bg_vehicles_parser.h"
#include "ui_local.h"

char *Parser_ParseVehicles(char *ptr);
char *Parser_ParseVehicle(char *ptr, int *vehiclenum);

char *Parser_ParseStats(char *ptr, int *vehiclenum);

char *Parser_ParseWeapon(char *ptr, int *weaponnum, int *vehiclenum);
char *Parser_ParseWeapons(char *ptr, int *vehiclenum);

char *Parser_ParseModel(char *ptr, int *vehiclenum, int *modelnum);
char *Parser_ParseModels(char *ptr, int *vehiclenum);
char *Parser_ParseDisplay(char *ptr, int *vehiclenum);

char *Parser_ParseSound(char *ptr, int *vehiclenum);

int Parser_ParseVehicleInfo(char *filename);

#endif